"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.js");
const designSetting = require("../../../../../settings/designSetting.js");
const runtimeCore_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.js");
const reactivity_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.js");
const _sfc_main = /* @__PURE__ */ runtimeCore_esmBundler.defineComponent({
  __name: "index",
  setup(__props) {
    return (_ctx, _cache) => {
      const _component_n_watermark = runtimeCore_esmBundler.resolveComponent("n-watermark");
      return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createBlock(_component_n_watermark, {
        id: "go-edit-watermark",
        content: reactivity_esmBundler.unref(designSetting.watermarkText),
        cross: "",
        selectable: "",
        "font-size": 16,
        "line-height": 16,
        width: 500,
        height: 150,
        "x-offset": 12,
        "y-offset": 80,
        rotate: -15
      }, null, 8, ["content"]);
    };
  }
});
exports.default = _sfc_main;
